Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.dialog
Class SimpleDialog

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.SimplePanel
                      com.google.gwt.user.client.ui.PopupPanel
                          com.google.gwt.user.client.ui.DialogBox
                              org.eclipse.higgins.ics.gwt.base.client.dialog.FadeoutDialogBox
                                  org.eclipse.higgins.ics.gwt.base.client.dialog.SimpleDialog

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, EventListener, com.google.gwt.user.client.EventPreview, com.google.gwt.user.client.ui.HasHTML, com.google.gwt.user.client.ui.HasText, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.MouseListener, com.google.gwt.user.client.ui.SourcesPopupEvents

public class SimpleDialog
extends FadeoutDialogBox

Author:
  Alexander Yuhimenko

Nested Class Summary

Nested classes inherited from class com.google.gwt.user.client.ui.PopupPanel
`com.google.gwt.user.client.ui.PopupPanel.PositionCallback`

Constructor Summary
`SimpleDialog(com.google.gwt.user.client.ui.Widget bodyWidget)`
`SimpleDialog(com.google.gwt.user.client.ui.Widget bodyWidget, boolean isScrolledDialog)`

Method Summary
`com.google.gwt.user.client.ui.HorizontalPanel` | `getButtonPanel()`
`DialogButton` | `getCancelButton()`
`com.google.gwt.user.client.ui.VerticalPanel` | `getHeaderPanel()`
`com.google.gwt.user.client.ui.HorizontalPanel` | `getInnerPanel()`
`com.google.gwt.user.client.ui.ScrollPanel` | `getScrollBodyPanel()`
`void` | `setBodyWidget(com.google.gwt.user.client.ui.Widget widget)`
`void` | `setCancelButton(DialogButton button)`
`com.google.gwt.user.client.ui.PopupPanel.PositionCallback` | `setCenterPositionCallback()`
`void` | `showDialog()`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.dialog.FadeoutDialogBox
`hide, makeGlassTimers, show`

Methods inherited from class com.google.gwt.user.client.ui.DialogBox
`getHTML, getText, onEventPreview, onMouseDown, onMouseEnter, onMouseLeave, onMouseMove, onMouseUp, remove, setHTML, setText, setWidget, setWidth`

Methods inherited from class com.google.gwt.user.client.ui.PopupPanel
`addPopupListener, center, getOffsetHeight, getOffsetWidth, getPopupLeft, getPopupTop, getTitle, onKeyDownPreview, onKeyPressPreview, onKeyUpPreview, removePopupListener, setHeight, setPopupPosition, setPopupPositionAndShow, setTitle, setVisible`

Methods inherited from class com.google.gwt.user.client.ui.SimplePanel
`add, getWidget, iterator`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`clear`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getStyleName, getStylePrimaryName, isVisible, isVisible, removeStyleDependentName, removeStyleName, setPixelSize, setSize, setStyleName, setStylePrimaryName, setVisible, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleDialog

    public SimpleDialog(com.google.gwt.user.client.ui.Widget bodyWidget)

### SimpleDialog

    public SimpleDialog(com.google.gwt.user.client.ui.Widget bodyWidget,
                        boolean isScrolledDialog)

Method Detail

### showDialog

    public void showDialog()

### setCenterPositionCallback

    public com.google.gwt.user.client.ui.PopupPanel.PositionCallback setCenterPositionCallback()

### getButtonPanel

    public com.google.gwt.user.client.ui.HorizontalPanel getButtonPanel()

  Returns:
    the buttonPanel

### getCancelButton

    public DialogButton getCancelButton()

  Returns:
    the cancelButton

### getHeaderPanel

    public com.google.gwt.user.client.ui.VerticalPanel getHeaderPanel()

  Returns:
    the headerPanel

### setCancelButton

    public void setCancelButton(DialogButton button)

### getInnerPanel

    public com.google.gwt.user.client.ui.HorizontalPanel getInnerPanel()

### getScrollBodyPanel

    public com.google.gwt.user.client.ui.ScrollPanel getScrollBodyPanel()

### setBodyWidget

    public void setBodyWidget(com.google.gwt.user.client.ui.Widget widget)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD